Bug 171714 - symlinks cause kernel lockup on NFS Client
symlinks cause kernel lockup on NFS Client
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 11:30 EDT by Charlie Bennett
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scripts to batter an NFS mount with symlinks (7.71 KB, application/x-gzip)
2005-10-25 11:32 EDT, Charlie Bennett
no flags Details

  None (edit)
Description Charlie Bennett 2005-10-25 11:30:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Using any kernel between 1447 and 1532 we can reliably get a machine
to lock up hard by mounting an NFS partition from another FC4 machine
and making and deleting large numbers of symlinks.

The system locks hard.  NMI_WATCHDOG does not fire, ALT+SYSRQ
is locked out.

This came to light while running the attached fragment of our
product test suite.



Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1. unpack the attached python and perl scripts
2. mount an NFS partition on the current machine
3. run looper.py from the test suite.  maybe more than once.
  

Actual Results:  Like I said, the system locks hard

Expected Results:  Linux kernels should take a licking and keep on ticking

Additional info:
Comment 1 Charlie Bennett 2005-10-25 11:32:01 EDT
Created attachment 120369 [details]
scripts to batter an NFS mount with symlinks
Comment 2 Charlie Bennett 2005-10-25 12:00:27 EDT
Just a bit more data....

Generally both machines are 2.0+ GHz Intel P4 or P4 XEON connected by e1000 NICs
running at 1Gb.  Running the same kernel.

We first spotted this on the smp kernels with both CPUs up but are also seeing
it on the smp kernels with maxcpus=1.
Comment 3 Dave Jones 2005-11-10 14:19:46 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 00:23:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 17:21:31 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.